www/p5-HTML-FillInForm - The NetBSD Packages Collection

Perl5 module that populates HTML Forms with CGI data

This module automatically inserts data from a previous HTML form
into the HTML input, textarea and select tags.  It is a subclass
of the HTML::Parser manpage and uses it to parse the HTML and insert
the values into the form tags.  One useful application is after a
user submits an HTML form without filling out a required field.
HTML::FillInForm can be used to redisplay the HTML form with all
the form elements containing the submitted info.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-HTML-Parser lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0earmv7hfp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 8.0earmv7hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0i386p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 8.0i386p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0powerpcp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 8.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 8.0x86_64p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 8.0x86_64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0aarch64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0aarch64p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0aarch64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0alphap5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0alphap5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0alphap5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0earmp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmv6hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmv6hfp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0earmv6hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmv7hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmv7hfp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0earmv7hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0earmv7hfp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0i386p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0i386p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0i386p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0mips64ebp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0mips64ebp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0mips64ebp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0mips64ebp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0mips64ebp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0mipselp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0mipselp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0mipselp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0mipselp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0powerpcp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0powerpcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sh3elp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sh3elp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sh3elp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sh3elp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sparc64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sparc64p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sparc64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sparcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0sparcp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sparcp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sparcp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0sparcp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0vaxp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0vaxp5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0vaxp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0vaxp5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0x86_64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0x86_64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0x86_64p5-HTML-FillInForm-2.21nb6.tgz
NetBSD 9.0x86_64p5-HTML-FillInForm-2.21nb7.tgz
NetBSD 9.0x86_64p5-HTML-FillInForm-2.21nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.